#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    int n, p;
    cin >> n >> p;
    //vector<int> kuce;
    int najveci, najmanji;
    najveci = INT_MIN;
    najmanji = INT_MAX;

    for(int i = 0; i < n; i++){
        int k;
        cin >> k;
        if(k > najveci)
            najveci = k;
        if(k < najmanji)
            najmanji = k;
        //kuce.push_back(k);
    }

    //sort(kuce.begin(), kuce.end());

    int udaljenost;
    if(najmanji < p && najveci > p){
        int manjaudaljenost = min(p - najmanji, (najveci - p));
        int vecaudaljenost = max(p - najmanji, (najveci - p));
        udaljenost = 2 * manjaudaljenost + vecaudaljenost;
    }
    else{
        udaljenost = max(p - najmanji, najveci - p);
    }
    cout << udaljenost;
}